
Const N = 5;

Type Mas = Array[1..N,1..N] Of Integer;

Var A : Mas;
    I, J : Byte;

Function MaxX(M : Mas) : Byte;
Var I, J : Byte;
    Temp : Integer;
    Result : Byte;
Begin
     Temp := Abs(M[1,1]);
     Result := 1;
     For I := 1 To N Do For J := 1 To N Do
         If Temp < Abs(M[I,J]) Then Begin
            Temp := Abs(M[I,J]);
            Result := I;
         End;
     MaxX := Result;
End;

Function MaxY(M : Mas) : Byte;
Var I, J : Byte;
    Temp : Integer;
    Result : Byte;
Begin
     Temp := Abs(M[1,1]);
     Result := 1;
     For I := 1 To N Do For J := 1 To N Do
         If Temp < Abs(M[I,J]) Then Begin
            Temp := Abs(M[I,J]);
            Result := J;
         End;
      MaxY := Result;
End;

Function SG(M : Mas) : Real;
Var I, J : Byte;
    P, S : Integer;
Begin
     P := 1;
     S := 0;
     For I := 1 To N Do For J := 1 To N Do
         If M[I,J] >= 0 Then Begin
            S := S + 1;
	    P := P * M[I,J]
         End;
     SG := P/S;
End;

Function Row(M : Mas) : Byte;
Var I, J : Byte;
    S : Byte;
    P : Integer;
Begin
     S := 0;
     For I := 1 To N Do Begin
         P := 0;
         For J := 1 To N Do P := P + M[I,J];
         If P < 0 Then S := S + 1;
     End;
     Row := S;
End;

Function MinElem(M : Mas) : Integer;
Var I, J : Byte;
    Result : Integer;
Begin
     Result := M[I,J];

     For I := 1 To N Do 
         If Result >= M[I,I] Then Result := M[I,I];

     For I := 2 To N Do 
         If Result >= M[I,I] Then Result := M[I,I];

     For I := 2 To N Do
         If Result >= M[I,I] Then Result := M[I,I];

     MinElem := Result;
End;

Begin
     For I := 1 To N Do For J := 1 To N Do A[I,J] := 0;

     Randomize;
     For I := 1 To N Do For J := 1 To N Do A[I,J] := Random(100)-50;

     WriteLn;
     WriteLn('ᨬ ( )  ᨢ: ',MaxX(A),',',MaxY(A));
     WriteLn('। ᪮ ⥫ ⮢: ',SG(A):4:3);
     WriteLn('᫮ ப  ⥫쭮 㬬 ⮢: ',Row(A));
     WriteLn('  ⮢,       ᬥ  : ',MinElem(A));

     For I := 1 To N Do Begin
         For J := 1 To N Do Begin
             Write(A[I,J]:4);
         End;
         WriteLn;
     End;
     readln;
End.
